import request from "@/http/request";

/**
 * 分页查找物料
 */
export const getGoodsInfoByPage = (params) => {
    return request({
        url: '/taskQuery/queryOutsByPage',
        method: 'post',
        data: params
    })
}

export const upOutsType = (params) => {
    return request({
        url: '/taskQuery/upOutsType',
        method: 'post',
        data: params
    })
}

export const editDate = (params) => {
    return request({
        url: '/taskQuery/editDate',
        method: 'post',
        data: params
    })
}

export const batchEditDate = (params) => {
    return request({
        url: '/taskQuery/batchEditDate',
        method: 'post',
        data: params
    })
}

/**
 * 根据物料id查询物料信息
 */
export const getGoodsInfoByGoodsId = (params) => {
    return request({
        url: '/goods/getGoodsInfoByGoodsId',
        method: 'get',
        data: params
    })
}